Lookups
Suggest the search location for a position
RankShark TrackScopetrack:write
POST
Where a campaign's searches should come from for a position (country, region and city tokens): the campaign's ipLocation.
Scope: track:write.
header
AuthorizationBearer <rstk_… API key or OAuth access token>A Track API key (rstk_…, Settings → API & MCP) or an OAuth access token issued for this API
application/json- body
lat*numberRange
-85 <= value <= 85lng*numberRange
-180 <= value <= 180country?stringCountry code hint (default us)
Length
length <= 2OK
application/json- response
Where the searches come from
country*stringCountry code
region?|Region token
city?|City token
curl -X POST 'https://panel.rankshark.io/v1/track/locate' \ -H 'Content-Type: application/json' \ -d '{ "lat": 30.2509, "lng": -97.7493, "country": "us"}'Example Response
{ "country": "us", "region": "texas", "city": "austin"}